/*
 * Copyright 1999,2005 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package org.apache.xmlrpc;

/**
 * This is thrown by many of the client classes if an error occured processing
 * and XML-RPC request or response due to client side processing. This exception
 * will wrap a cause exception in the JDK 1.4 style.
 *
 * @author <a href="mailto:andrew@kungfoocoder.org">Andrew Evers</a>
 * @version $Id: XmlRpcClientException.java 233944 2005-05-02 04:22:21Z dlr $
 * @since 1.2
 */
public class XmlRpcClientException extends XmlRpcException
{
    /**
     * Create an XmlRpcClientException with the given message and
     * underlying cause exception.
     *
     * @param message the message for this exception.
     * @param cause the cause of the exception.
     */
    public XmlRpcClientException(String message, Throwable cause)
    {
        super(0, message, cause);
    }
}
